Limit the amount of form submissions
Closed, ResolvedPublic3 Story Points

Description

When submitting a donation/membership form the timestamp of the last submission must be stored in the session. When the form is submitted again, the timestamp must be checked and when the time difference is lower than a configurable value, the user sees a page with the following text (mail address must be a mailto link):

Sie haben vor sehr kurzer Zeit bereits gespendet. Bitte warten Sie einen Moment.<br/>
Wenn Sie Fragen dazu haben, wenden Sie sich bitte an MAIL@EXAMPLE.COM

This "protection" can be easily subverted by disabling cookies, in the future T123125 should be implemented. But for feature parity and some protection we need this.

Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJun 13 2016, 10:46 AM
gabriel-wmde added a subscriber: JeroenDeDauw.

@JeroenDeDauw: This looks like it's a framework-only solution (using the PHP session, redirecting to a differnet page), so the code for this should be put in app, right?

Have not thought about it a lot, but sounds good.

Lea_WMDE moved this task from Incoming to WMDE Fundraising on the TCB-Team board.Jun 15 2016, 5:14 PM
Tobi_WMDE_SW closed this task as Resolved.Apr 7 2017, 11:25 AM
Tobi_WMDE_SW claimed this task.
Restricted Application added a project: WMDE-Fun-Team. · View Herald TranscriptApr 7 2017, 11:25 AM